<?php
if (isset($_SESSION['usuario'])){
$user=$_SESSION['usuario'];
}
else{
?>
<script>
location.href="index.php?errorusuario=3";
</script>
<?php }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Untitled Document</title>
<style type="text/css">
<!--
body {
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
}
-->
</style>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
.Estilo1 {font-size: 14px}
-->
</style>
 
</head>

<body>
<div >
  <table width="950" border="0" align="center">
    <tr>
      <td><p class="style4">REQUISICI&Oacute;N :. </p>
      </td>
    </tr>
    <tr>
      <td><table width="100%" height="0" border="0" cellpadding="0" cellspacing="10">
          <tr>
            <td width="87%" valign="top"><form id="form1" name="form1" method="post" action="consulrequisicion.php">
              <span class="style4">Consultar requisici&oacute;n por folio:</span>
              <input name="folio" type="text" class="cuadrotexto" id="folio" size="6" maxlength="10" />
              <input name="Submit22" type="submit" class="boton2" value="Consultar" />
            </form></td>
			
            <td width="13%" valign="top"><form id="form2" name="form2" method="post" action="main.php?a=21">
              <input name="Submit2" type="submit" class="boton2" value="Nuevo Producto" />
            </form></td>
          </tr>
          <tr>
            <td colspan="3" align="center" valign="top"><hr width="100%" size="1" noshade="noshade" color="#0D3356"></td>
          </tr>
      </table></td>
    </tr>
  </table>
  <table width="950" border="0" align="center">
    <tr>
      <td align="center">
	    <form action="main.php?a=34" method="post">
	    <p class="style7">
	      <?php 
	if (isset($_GET['error']))
      $error=$_GET['error'];
 {

if (isset ($error))
 {
			  $error=$_GET['error'];
			  
			  if($error==1)
			  {
			  echo "<p class='style3'>¡Tiene que seleccionar al menos un producto!</p>";
			  }
			  if($error==2)
			  {
			  echo "<p class='style3'>¡Tiene que ingresar un folio de requisición para consultar!</p>";
			  }
			  if($error==3)
			  {
			  echo "<p class='style3'>¡El folio de requisición no existe, intente con otro.!</p>";
			  }
			  		  			  
}
else
{

}

}
  ?>
        </p>
	    <p class="style7">Seleccione los productos a pedir</p>
	    <p> 
	      <?php

	  
echo "<table border=1>";
echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";

echo "<td class='style4'>";
echo "     ";
echo "</td>";

echo "<td class='style4'>";
echo " Id ";
echo "</td>";


echo "<td class='style4'>";
echo "Nombre";
echo "</td>";

echo "<td class='style4'>";
echo "Descripción";
echo "</td>";

/*
echo "<td class='style4'>";
echo "Presentación";
echo "</td>";

echo "<td class='style4'>";
echo "Cantidad";
echo "</td>";
*/

echo "</tr>";
include ("conexion.php");


			$query="SELECT clave,nombre,descripcion FROM productos";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))
			{

         
echo "<tr align='center'>";
/*
//CONSULTO NOMBRE DE LA PRESENTACION
$cons1="SELECT idPresentacion FROM  productos WHERE clave='".$fila[0]."'";
$res1=mysql_query($cons1,$conex) or die ("No consulto ID de presentacion");
$idpresen=mysql_result($res1,0,'idPresentacion');

$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
$presen=mysql_result($res2,0,'presentacion');

*/

//IMPRIMO CHECKBOX
echo "<td class='style1'>";
echo "<input name='clave[]' type='checkbox' value='".$fila[0]."' >";
echo "</td>";
//FOR DE LOS CAMPOS BUSCADOS
 for ($i=0;$i< $numero_campos;$i++){

echo "<td class='style1'>";
echo $fila[$i];
echo "</td>";

}

/*
//IMPRIMO PRESENTACION
echo "<td class='style1'>";
echo $presen;
echo "</td>";

//CANTIDAD
echo "<td class='style4'>";
echo "<input type='text' name='cantidad[]' class='cuadrotexto' size='3' maxlength='3' disabled>";
echo "</td>";
*/

echo "</tr>";
}
echo "</table>";
mysql_free_result($res);

?>
	      </p>
	    <br>

          <input name="Submit" type="submit" class="boton2" value="Crear requisici&oacute;n" />
	    </form>
	    <p>

	  </p></td>
    </tr>
  </table>

</div>
</body>
</html>
